{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "CAN_ID"; 
            externalType = NUMBER; 
            name = canId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CONV_ORDRE"; 
            externalType = NUMBER; 
            name = convOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "ID_BS"; 
            externalType = VARCHAR2; 
            name = idBs; 
            userInfo = {"_EntityModeler" = {generateSource = NO; }; }; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            columnName = IDKX10ELT; 
            externalType = VARCHAR2; 
            name = idkx10elt; 
            valueClassName = NSString; 
            valueType = S; 
            width = 44; 
        }, 
        {
            columnName = "KEL_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = IDKX10EI; }; 
            name = kelId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "KEL_POURCENT_CHARGES"; 
            externalType = NUMBER; 
            name = kelPourcentCharges; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "KEL_QUOTITE"; 
            externalType = NUMBER; 
            name = kelQuotite; 
            precision = 6; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LOLF_ID"; 
            externalType = NUMBER; 
            name = lolfId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ORG_ID"; 
            externalType = NUMBER; 
            name = orgId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_ID_CREATION"; 
            externalType = NUMBER; 
            name = persIdCreation; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_ID_MODIFICATION"; 
            externalType = NUMBER; 
            name = persIdModification; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TCD_ORDRE"; 
            externalType = NUMBER; 
            name = tcdOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        kelId, 
        idkx10elt, 
        canId, 
        convOrdre, 
        idBs, 
        lolfId, 
        orgId, 
        tcdOrdre, 
        persIdCreation, 
        persIdModification
    ); 
    className = "org.cocktail.kaki.server.metier.EOKx10ElementLbud"; 
    classProperties = (
        kx10Element, 
        codeAnalytique, 
        convention, 
        lolf, 
        organ, 
        typeCredit, 
        idBs, 
        kelQuotite, 
        kelPourcentCharges, 
        dCreation, 
        dModification, 
        persIdCreation, 
        persIdModification
    ); 
    externalName = "jefy_paf.KX_10_ELEMENT_LBUD"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            kx10Element, 
            idBs, 
            convention, 
            codeAnalytique, 
            lolf, 
            organ, 
            typeCredit, 
            kelQuotite, 
            kelPourcentCharges, 
            dCreation, 
            dModification, 
            persIdCreation, 
            persIdModification
        ); 
        "_javaClientClassName" = "org.cocktail.kaki.client.metier.EOKx10ElementLbud"; 
    }; 
    name = Kx10ElementLbud; 
    primaryKeyAttributes = (kelId); 
    relationships = (
        {
            destination = CodeAnalytique; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = canId; sourceAttribute = canId; }); 
            name = codeAnalytique; 
        }, 
        {
            destination = Convention; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = conOrdre; sourceAttribute = convOrdre; }); 
            name = convention; 
        }, 
        {
            destination = Kx10Element; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idkx10elt; sourceAttribute = idkx10elt; }); 
            name = kx10Element; 
        }, 
        {
            destination = "ca_LolfNomenclatureDepense"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = lolfId; sourceAttribute = lolfId; }); 
            name = lolf; 
        }, 
        {
            destination = "ca_Organ"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = orgId; sourceAttribute = orgId; }); 
            name = organ; 
        }, 
        {
            destination = "ca_TypeCredit"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tcdOrdre; sourceAttribute = tcdOrdre; }); 
            name = typeCredit; 
        }
    ); 
}
